%{?nodejs_find_provides_and_requires}

%global enable_tests 0

#use a github tarball so we get the tests
%global commit 8d3927995821596148e77f4af049ab38b03d1b99
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           nodejs-callsite
Version:        1.0.0
Release:        %mkrel 7
Summary:        Provides access to V8's "raw" CallSites from Node.js

BuildArch:      noarch

Group:          Development/C
#No license file included, "MIT" indicated in README and package.json
#A copy of the MIT license based on the version included with express, another
#node module by the same author, is included in Source1, and has been sent
#upstream: https://github.com/visionmedia/callsite/pull/2
License:        MIT
URL:            https://github.com/visionmedia/callsite
Source0:        https://github.com/visionmedia/callsite/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz
Source1:        https://raw.github.com/tchollingsworth/callsite/8d7615a28a6507c3ef0731f072d3f1a100b3fe27/LICENSE

# Fix the tests to comply with modern "should" syntax and with changes
# to the callsite code itself
Patch1:         %{name}-fix-test.patch

BuildRequires:  nodejs-devel

%if 0%{?enable_tests}
#for tests
BuildRequires:  npm(mocha)
BuildRequires:  npm(should)
%endif

%description
%{summary}.

This is useful for custom traces, C-style assertions, getting the line number in
execution, and more.

%prep
%setup -q -n callsite-%{commit}

#fix tests
%patch1 -p1

#copy LICENSE file into %%_builddir so it works with %%doc
cp %{SOURCE1} LICENSE

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/callsite
cp -pr index.js package.json %{buildroot}%{nodejs_sitelib}/callsite

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
mocha --require should
%endif

%files
%doc Readme.md examples History.md
%license LICENSE
%{nodejs_sitelib}/callsite  


%changelog
* Thu Mar 24 2022 umeabot <umeabot> 1.0.0-7.mga9
+ Revision: 1825407
- Mageia 9 Mass Rebuild

* Tue Aug 04 2020 joequant <joequant> 1.0.0-6.mga8
+ Revision: 1610972
- turn off tests

* Fri Feb 14 2020 umeabot <umeabot> 1.0.0-5.mga8
+ Revision: 1522064
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.0.0-4.mga7
+ Revision: 1299755
- Mageia 7 Mass Rebuild
- Mageia 7 Mass Rebuild

* Wed Aug 03 2016 daviddavid <daviddavid> 1.0.0-2.mga6
+ Revision: 1044327
- sync with fedora24 to fix tests failure
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild
+ tv <tv>
- reenable tests

* Wed Oct 29 2014 tv <tv> 1.0.0-1.mga5
+ Revision: 794361
- disable tests for bootstrap
- imported package nodejs-callsite


* Wed Oct 29 2014 Thierry Vignaud <tv@mageia.org> 1.0.0-1.mga5
- import from FC

* Sun Jun 02 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.0.0-1
- initial package
